Name:             infiniband-diags
Summary:          Infiniband diagnostic utilities
Version:          2.1.0
Release:          2
License:          GPLv2 or BSD
Url:              https://github.com/linux-rdma/%{name}
Source0:          https://github.com/linux-rdma/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires:    glib2-devel libibumad-devel opensm-devel
Provides:         libibmad = %{version}-%{release} infiniband-diags-compat perl(IBswcountlimits)
Obsoletes:        libibmad < %{version}-%{release} infiniband-diags-compat openib-diags < 1.3
Requires(post):   ldconfig
Requires(postun): ldconfig
%global _perldir  %(perl -e 'use Config; print $Config{installvendorarch};')

%description
Infiniband-diags is a set of utilities designed to help configure, debug,
and maintain infiniband subnet. Many tools and utilities are provided, including libibmad.

%package          devel
Summary:          Development files for the infiniband-diags library
Requires:         %{name} = %{version}-%{release}
Provides:         libibmad-devel = %{version}-%{release} libibmad-static = %{version}-%{release}
Obsoletes:        libibmad-devel < %{version}-%{release} libibmad-static < %{version}-%{release}
Provides:         infiniband-diags-devel-static = %{version}-%{release}
Obsoletes:        infiniband-diags-devel-static < %{version}-%{release}

%description      devel
Headers and shared devel libraries for infiniband-diags.

%package          help
Summary:          Help documents for infiniband-diags
%description      help
This package contain the help documents for infiniband-diags.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-compat-utils
%make_build V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT
chmod 644 ${RPM_BUILD_ROOT}%{_sysconfdir}/infiniband-diags/ibdiag.conf
%delete_la

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_sbindir}/*
%{_libdir}/*.so.*
%global _perldir %(perl -e 'use Config; $T=$Config{installvendorlib}; print $T;')
%{_perldir}/*
%config(noreplace) %{_sysconfdir}/%{name}/*
%license COPYING

%files devel
%{_libdir}/*.so
%{_includedir}/infiniband/*.h
%{_libdir}/*.a

%files help
%{_mandir}/man*/*
%doc README ChangeLog

%changelog
* Mon Dec 2 2019 chenzhenyu <chenzhenyu13@huawei.com> - 2.1.0-2
- Package init
